org.eclipse.actf.model.dom.odf

## Enum ODFConstants.ContentType

- java.lang.Object
- - java.lang.Enum<ODFConstants.ContentType>
  - - org.eclipse.actf.model.dom.odf.ODFConstants.ContentType

All Implemented Interfaces:
  Serializable, Comparable<ODFConstants.ContentType>

Enclosing class:
  ODFConstants

    public static enum ODFConstants.ContentType
    extends Enum<ODFConstants.ContentType>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`CHART`
`DRAW`
`NONE`
`PRESENTATION`
`SPREADSHEET`
`WRITE`

### Method Summary

Methods
`static ODFConstants.ContentType` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static ODFConstants.ContentType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### WRITE

    public static final ODFConstants.ContentType WRITE

#### SPREADSHEET

    public static final ODFConstants.ContentType SPREADSHEET

#### PRESENTATION

    public static final ODFConstants.ContentType PRESENTATION

#### DRAW

    public static final ODFConstants.ContentType DRAW

#### CHART

    public static final ODFConstants.ContentType CHART

#### NONE

    public static final ODFConstants.ContentType NONE

### Method Detail

#### values

    public static ODFConstants.ContentType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (ODFConstants.ContentType c : ODFConstants.ContentType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static ODFConstants.ContentType valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null